## List Balances

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/balances \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/balances"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/balances', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Response Status Codes

- **200**  
- **4XX**  
- **5XX**

### Example Response Body

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "customFields": {},
      "code": "<string>",
      "name": "<string>",
      "description": "<string>",
      "accountId": "<string>",
      "amount": 123,
      "currency": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "rolloverAmount": 123,
      "rolloverEndDate": "2023-11-07T05:31:56Z",
      "balanceDrawDownDescription": "<string>",
      "overageSurchargePercent": 123,
      "overageDescription": "<string>",
      "productIds": [
        "<string>"
      ],
      "lineItemTypes": [],
      "contractId": "<string>",
      "consumptionsAccountingProductId": "<string>",
      "feesAccountingProductId": "<string>",
      "allowOverdraft": true,
      "grant": true,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**
- Type: string
- Location: header
- Required: true

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.
The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId**: string (required)  
The unique identifier (UUID) for your organization. The Organization represents your company as a direct customer of our service.

### Query Parameters

- **pageSize**: integer<int32>  
The maximum number of Balances to return per page.  
Required range: `1 <= x <= 100`

- **nextToken**: string  
The `nextToken` for retrieving the next page of Balances.

- **accountId**: string  
The unique identifier (UUID) for the end customer's account.

- **endDateStart**: string  
Only include Balances with end date/times equal to or later than this date/time (in ISO-8601 format).

- **endDateEnd**: string  
Only include Balances with end date/times earlier than this date/time (in ISO-8601 format).

- **contract**: string

- **contractId**: string  
Filter Balances by contract id.

- **ids**: string[]  
A list of unique identifiers (UUIDs) for specific Balances to retrieve.
